---
- name: ansible and vagrant
  hosts: all
  tasks:
    - name: add GPG for nodejs repo, will not download if present
      become: yes
      ansible.builtin.apt_key:
        id: 68576280
        url: https://keyserver.ubuntu.com/pks/lookup?op=get&fingerprint=on&search=0x1655A0AB68576280
        state: present

    - name: add nodejs repo
      become: yes
      ansible.builtin.apt_repository:
        repo: deb https://deb.nodesource.com/node_16.x focal main
        state: present
        filename: nodesource

    - name: install apt deps
      become: yes
      apt:
        pkg:
          - make
          - nodejs

    - name: add variable to env
      become: yes
      lineinfile:
        path: /etc/environment
        regexp: '^FASTIFY_ADDRESS='
        line: FASTIFY_ADDRESS=0.0.0.0

    - name: init fastify if package.json doesnt exist
      ansible.builtin.shell: npm init -y fastify
      args:
        chdir: /vagrant/
        creates: package.json
